> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List billed usages



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /agency/billing/usages
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /agency/billing/usages:
    get:
      tags:
        - Billing
      summary: List billed usages
      parameters:
        - name: startTime
          in: query
          description: The start time.
          style: form
          schema:
            type: string
            format: date-time
        - name: endTime
          in: query
          description: The end time.
          style: form
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BilledUsageDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BilledUsageDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BilledUsageDto'
components:
  schemas:
    BilledUsageDto:
      type: object
      properties:
        startTime:
          type: string
          format: date-time
        endTime:
          type: string
          format: date-time
        responses:
          type: integer
          format: int32
        libraryBytes:
          type: integer
          format: int64
        users:
          type: integer
          format: int32
        responseCost:
          type: integer
          format: int64
        libraryCost:
          type: integer
          format: int64
        userCost:
          type: integer
          format: int64
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````